package com.fjhx.sale.service.sample.impl;

import com.fjhx.sale.entity.sample.po.Sample;
import com.fjhx.sale.mapper.sample.SampleMapper;
import com.fjhx.sale.service.sample.SampleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.sample.vo.SampleVo;
import com.fjhx.sale.entity.sample.dto.SampleSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.sale.entity.sample.dto.SampleDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 样品单表 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
@Service
public class SampleServiceImpl extends ServiceImpl<SampleMapper, Sample> implements SampleService {

    @Override
    public Page<SampleVo> getPage(SampleSelectDto dto) {
        IWrapper<Sample> wrapper = getWrapper();
        wrapper.orderByDesc("s", Sample::getId);
        Page<SampleVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public SampleVo detail(Long id) {
        Sample Sample = this.getById(id);
        SampleVo result = BeanUtil.toBean(Sample, SampleVo.class);
        return result;
    }

    @Override
    public void add(SampleDto sampleDto) {
        this.save(sampleDto);
    }

    @Override
    public void edit(SampleDto sampleDto) {
        this.updateById(sampleDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
